<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'DynamiX' ); ?></p>
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
<div class="comments-wrap">
	<h3 id="comments"><?php comments_number(__('No Responses to', 'DynamiX' ), __('One Response to', 'DynamiX' ), __('% Responses to', 'DynamiX' ) );?> &#8220;<?php the_title(); ?>&#8221;</h3>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

	<ol class="commentlist"> 
    <?php wp_list_comments('type=comment&callback=dynamix_comment'); ?>
	</ol>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

</div><!-- /comment-wrap -->    

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
	<?php endif; ?>

<?php endif; ?>


<?php if ( comments_open() ) : ?>

<div id="respond">

<h3><?php comment_form_title( __('Leave a Comment ', 'DynamiX' ), __('Leave a Comment to %s', 'DynamiX' ) ); ?></h3>

<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<p><?php _e('You must be logged in to post a comment.', 'DynamiX' ); ?> <a href="<?php echo wp_login_url( get_permalink() ); ?>"><?php _e('Log in &raquo;', 'DynamiX' );?></a></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( is_user_logged_in() ) : ?>

<p><?php _e('Logged in as', 'DynamiX' ); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Log out &raquo;', 'DynamiX' );?></a></p>

<?php else : ?>

<p><span class="input-wrap"><span><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" />
<label for="author"><small><?php _e( 'Name', 'DynamiX' ); ?><?php if ($req) _e( '(required)', 'DynamiX' ); ?></small></label></span></span></p>

<p><span class="input-wrap"><span><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" />
<label for="email"><small><?php echo _e('Email', 'DynamiX' ); ?> <?php _e('(will not be published)', 'DynamiX' );?> <?php if ($req) _e( '(required)', 'DynamiX' ); ?></small></label></span></span></p>

<p><span class="input-wrap"><span><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
<label for="url"><small>Website</small></label></span></span></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><span class="input-wrap"><span><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></span></span></p>

<p><span class="input-wrap"><span><input name="submit" class="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit', 'DynamiX' );?>" /></span></span>
<?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
